Debian Bug report logs - #558198
gnome-shell: no way to change display of clock

version graph

Package: gnome-shell; Maintainer for gnome-shell is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-shell is src:gnome-shell.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 26 Nov 2009 23:18:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version gnome-shell/2.28.1~git20091125-1

Fixed in version 3.4.2-7+deb7u1

Done: althaser <althaser@gmail.com>

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=580945, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=600276

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>:
Bug#558198; Package gnome-shell. (Thu, 26 Nov 2009 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>. (Thu, 26 Nov 2009 23:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-shell: no way to change display of clock
Date: Thu, 26 Nov 2009 23:13:15 +0000
[Message part 1 (text/plain, inline)]
Package: gnome-shell
Version: 2.28.1~git20091125-1
Severity: normal

gnome-shell displays a clock at the top of the screen.  However, it
always displays in the format "Thu 11:02 PM".  There appears to be no
way to change how it displays.  I have my computer clock and timezone
set to UTC, even though I don't live there.  It is significantly less
useful to have a clock that displays AM/PM rather than 24-hour time in
my situation; "23:02" is more meaningful than "11:02 PM".  I also really
prefer to have seconds available; then I can set my watch to the
computer time (which is synced with NTP).

Please provide a clock that is configurable at least to the degree that
the normal gnome-panel one is, and please allow it to be added, moved,
or removed as the user sees fit[0].

[0] Yes, I noticed the one on the left side of the screen; that isn't
normally viewable (except as a 12-hour analog clock) so it isn't
sufficient.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-shell depends on:
ii  gconf2              2.28.0-1             GNOME configuration database syste
ii  gir1.0-clutter-1.0  1.0.8-1              GObject introspection data for the
ii  gir1.0-freedesktop  0.6.5-4              Introspection data for some FreeDe
ii  gir1.0-glib-2.0     0.6.5-4              Introspection data for GLib, GObje
ii  gir1.0-gtk-2.0      0.6.5-3              GObject introspection data for the
ii  gir1.0-mutter-2.28  2.28.1~git20091024-1 GObject introspection data for Mut
ii  libatk1.0-0         1.28.0-1             The ATK accessibility toolkit
ii  libc6               2.10.2-2             GNU C Library: Shared libraries
ii  libcairo2           1.8.8-2              The Cairo 2D vector graphics libra
ii  libclutter-1.0-0    1.0.8-1              Open GL based interactive canvas l
ii  libcroco3           0.6.2-1              a generic Cascading Style Sheet (C
ii  libdbus-1-3         1.2.16-2             simple interprocess messaging syst
ii  libdbus-glib-1-2    0.82-2               simple interprocess messaging syst
ii  libfontconfig1      2.6.0-4              generic font configuration library
ii  libfreetype6        2.3.11-1             FreeType 2 font engine, shared lib
ii  libgconf2-4         2.28.0-1             GNOME configuration database syste
ii  libgirepository1.0- 0.6.5-4              Library for handling GObject intro
ii  libgjs0             0.4-3                Mozilla-based javascript bindings 
ii  libgl1-mesa-glx [li 7.6-1                A free implementation of the OpenG
ii  libglib2.0-0        2.22.2-2             The GLib library of C routines
ii  libgnome-desktop-2- 2.28.1-3             Utility library for loading .deskt
ii  libgnome-menu2      2.28.0.1-1           an implementation of the freedeskt
ii  libgstreamer0.10-0  0.10.25-3            Core GStreamer libraries and eleme
ii  libgtk2.0-0         2.18.3-1             The GTK+ graphical user interface 
ii  libmozjs2d          1.9.1.5-2            The Mozilla SpiderMonkey JavaScrip
ii  libnspr4-0d         4.8.2-1              NetScape Portable Runtime Library
ii  libpango1.0-0       1.26.1-1             Layout and rendering of internatio
ii  librsvg2-2          2.26.0-1             SAX-based renderer library for SVG
ii  libstartup-notifica 0.10-1               library for program launch feedbac
ii  libx11-6            2:1.3.2-1            X11 client-side library
ii  libxcomposite1      1:0.4.1-1            X11 Composite extension library
ii  libxdamage1         1:1.1.2-1            X11 damaged region extension libra
ii  libxext6            2:1.0.4-1            X11 miscellaneous extension librar
ii  libxfixes3          1:4.0.4-1            X11 miscellaneous 'fixes' extensio
ii  libxml2             2.7.6.dfsg-1         GNOME XML library
ii  mesa-utils          7.6-1                Miscellaneous Mesa GL utilities
ii  mutter              2.28.1~git20091024-1 lightweight GTK+ window manager
ii  pkg-config          0.22-1               manage compile and link flags for 
ii  python              2.5.4-3              An interactive high-level object-o
ii  zlib1g              1:1.2.3.3.dfsg-15    compression library - runtime

Versions of packages gnome-shell recommends:
ii  xserver-xephyr                2:1.6.5-1  nested X server

gnome-shell suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>:
Bug#558198; Package gnome-shell. (Thu, 10 Dec 2009 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>. (Thu, 10 Dec 2009 18:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 558198@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 558198@bugs.debian.org
Subject: Patch
Date: Thu, 10 Dec 2009 19:42:53 +0100
[Message part 1 (text/plain, inline)]
The attached patch fixes this bug.  Works for me.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are

[clock_format.patch (text/x-diff, inline)]
diff -u gnome-shell-2.28.1~git20091125/debian/changelog gnome-shell-2.28.1~git20091125/debian/changelog
--- gnome-shell-2.28.1~git20091125/debian/changelog
+++ gnome-shell-2.28.1~git20091125/debian/changelog
@@ -1,3 +1,9 @@
+gnome-shell (2.28.1~git20091125-2) unstable; urgency=low
+
+  * Make it possible to set a custom clock_format.
+
+ -- Tollef Fog Heen <tfheen@debian.org>  Thu, 10 Dec 2009 19:10:54 +0100
+
 gnome-shell (2.28.1~git20091125-1) unstable; urgency=low
 
   * New upstream snapshot
only in patch2:
unchanged:
--- gnome-shell-2.28.1~git20091125.orig/data/gnome-shell.schemas
+++ gnome-shell-2.28.1~git20091125/data/gnome-shell.schemas
@@ -46,6 +46,20 @@
       </schema>
 
       <schema>
+        <key>/schemas/desktop/gnome/shell/clock_format</key>
+	<applyto>/desktop/gnome/shell/clock_format</applyto>
+	<owner>gnome-shell</owner>
+	<type>string</type>
+	<default>%a %l:%M %p</default>
+	<locale name="C">
+	  <short>Format used for displaying the clock at the top of the screen</short>
+	  <long>
+        Please see date(1) for details about the format of this string.
+	  </long>
+	</locale>
+      </schema>
+
+      <schema>
         <key>/schemas/desktop/gnome/shell/sidebar/visible</key>
 	<applyto>/desktop/gnome/shell/sidebar/visible</applyto>
 	<owner>gnome-shell</owner>
only in patch2:
unchanged:
--- gnome-shell-2.28.1~git20091125.orig/js/ui/panel.js
+++ gnome-shell-2.28.1~git20091125/js/ui/panel.js
@@ -140,6 +140,7 @@
 Panel.prototype = {
     _init : function() {
 
+        this._gconf = Shell.GConf.get_default();
         this.actor = new St.BoxLayout({ name: 'panel' });
         this.actor._delegate = this;
 
@@ -291,6 +292,9 @@
         clockButton.set_child(this._clock);
 
         this._calendarPopup = null;
+        this._clock_format = this._gconf.get_string ("clock_format");
+        this._gconf.connect('changed::clock_format',
+                            Lang.bind(this, this._clockFormatChanged));
 
         /* right */
 
@@ -385,6 +389,14 @@
                          });
     },
 
+    _clockFormatChanged: function() {
+        let clock_format = this._gconf.get_string("clock_format");
+        if (clock_format == this._clock_format)
+            return;
+        this._clock_format = clock_format;
+        this._updateClock();
+    },
+
     _onTrayIconAdded: function(o, icon, wmClass) {
         let role = STANDARD_TRAY_ICON_IMPLEMENTATIONS[wmClass];
         if (!role) {
@@ -437,7 +449,7 @@
             msecRemaining += 60000;
         }
         /* Translators: This is a time format.  */
-        this._clock.set_text(displayDate.toLocaleFormat(_("%a %l:%M %p")));
+        this._clock.set_text(displayDate.toLocaleFormat(this._clock_format));
         Mainloop.timeout_add(msecRemaining, Lang.bind(this, this._updateClock));
         return false;
     },

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=580945'. Request was from Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> to control@bugs.debian.org. (Fri, 11 Dec 2009 19:42:06 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=580945, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=600276' from 'https://bugzilla.gnome.org/show_bug.cgi?id=580945' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 10 May 2010 17:00:21 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 03 Jun 2010 16:36:15 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:55 GMT) Full text and rfc822 format available.

Reply sent to althaser <althaser@gmail.com>:
You have taken responsibility. (Tue, 01 Apr 2014 15:15:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Tue, 01 Apr 2014 15:15:05 GMT) Full text and rfc822 format available.

Message #23 received at 558198-done@bugs.debian.org (full text, mbox):

From: althaser <althaser@gmail.com>
To: 558198-done@bugs.debian.org
Cc: sandals@crustytoothpaste.ath.cx, tfheen@err.no
Subject: closing 558198
Date: Tue, 1 Apr 2014 16:12:58 +0100
[Message part 1 (text/plain, inline)]
version: 3.4.2-7+deb7u1
kthxbye

Hey Brian,

I'm closing this bug now since it seems to be fixed.

PM/AM or 24h is now possible to change using gnome-control-center.

Enabling seconds using gnome-tweak-tool.

The following extension
https://extensions.gnome.org/extension/2/move-clock/allows to move the
clock.

If you can still reproduce it feel free to reopen and provide more info.

thanks
regards
althaser
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:22:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.